json
{
"AccountId": "AID-1234567"
}curl -X GET "https://api.telegent.com/v1.0/account/webhooks?AccountId=AID-1234567" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json"import requests
url = "https://api.telegent.com/v1.0/account/webhooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"AccountId": "<string>",
"WebhookUrl": "<string>",
"Method": "<string>",
"DataFormat": "<string>",
"AuthenticationType": "<string>",
"AuthenticationUsername": "<string>",
"AuthenticationPassword": "<string>",
"AuthenticationToken": "<string>",
"SubscribedEvents": "<string>",
"WebhookId": "<string>",
"Active": true
}
]{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Accounts
Get Account Webhooks
Retrieves all webhooks configured on the specified account, including their target URLs, HTTP methods, authentication settings, subscribed event types, and active status. Use this to audit webhook configuration or to locate a specific WebhookId for updates or deletion.
GET
/
v1.0
/
account
/
webhooks
json
{
"AccountId": "AID-1234567"
}curl -X GET "https://api.telegent.com/v1.0/account/webhooks?AccountId=AID-1234567" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json"import requests
url = "https://api.telegent.com/v1.0/account/webhooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"AccountId": "<string>",
"WebhookUrl": "<string>",
"Method": "<string>",
"DataFormat": "<string>",
"AuthenticationType": "<string>",
"AuthenticationUsername": "<string>",
"AuthenticationPassword": "<string>",
"AuthenticationToken": "<string>",
"SubscribedEvents": "<string>",
"WebhookId": "<string>",
"Active": true
}
]{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
AccountId string
Response
Success
Maximum string length:
100Maximum string length:
255Maximum string length:
10Maximum string length:
50Maximum string length:
10Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255